<p><strong>Ingrese dos numeros a sumar</strong></p><br>
<!--Creacion de formulario y campos de texto-->
<form>
    <input type="text" id="num1"><br><br>
    <input type="text" id="num2"><br><br>
    <input type="button" value="sumar" onclick="sumar();"><br><br>
    <input type="text" id="resultado">
</form>
<!--Programacion en JS-->
<script type="text/javascript">
    function sumar() {
        numero1 = parseInt(document.getElementById('num1').value);
        numero2 = parseInt(document.getElementById('num2').value);
        resultado = numero1 + numero2;
        document.getElementById("resultado").value = resultado;
    }
</script>